Debian Bug report logs - #489175
kexec-tools: armel architecture works fine - can be enabled

version graph

Package: kexec-tools; Maintainer for kexec-tools is Khalid Aziz <khalid@debian.org>; Source for kexec-tools is src:kexec-tools.

Reported by: Mikhail Gusarov <dottedmag@dottedmag.net>

Date: Thu, 3 Jul 2008 18:21:01 UTC

Severity: normal

Tags: patch

Found in version kexec-tools/20080324-2

Fixed in version kexec-tools/20080324-2.1

Done: Loic Minier <lool@dooz.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Khalid Aziz <khalid@debian.org>:
Bug#489175; Package kexec-tools. Full text and rfc822 format available.

Acknowledgement sent to Mikhail Gusarov <dottedmag@dottedmag.net>:
New Bug report received and forwarded. Copy sent to Khalid Aziz <khalid@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mikhail Gusarov <dottedmag@dottedmag.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: kexec-tools: armel architecture works fine - can be enabled
Date: Fri, 04 Jul 2008 01:14:28 +0700
Package: kexec-tools
Version: 20080324-2
Severity: normal

kexec-tools builds and works fine on armel (tested on Hanlin V3 e-reader and
Thecus n2100 NAS), so it may be enabled in the Debian package.

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (750, 'testing'), (700, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.24-ovz4 (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=ru_RU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages kexec-tools depends on:
ii  debconf [debconf-2.0]         1.5.22     Debian configuration management sy
ii  libc6                         2.7-10     GNU C Library: Shared libraries

kexec-tools recommends no packages.

-- debconf information:
  kexec-tools/load_kexec: true




Information forwarded to debian-bugs-dist@lists.debian.org, Khalid Aziz <khalid@debian.org>:
Bug#489175; Package kexec-tools. (Thu, 16 Oct 2008 09:27:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Hrubis <metan@ucw.cz>:
Extra info received and forwarded to list. Copy sent to Khalid Aziz <khalid@debian.org>. (Thu, 16 Oct 2008 09:27:49 GMT) Full text and rfc822 format available.

Message #10 received at 489175@bugs.debian.org (full text, mbox):

From: Cyril Hrubis <metan@ucw.cz>
To: Debian Bug Tracking System <489175@bugs.debian.org>
Cc: metan@ucw.cz
Subject: kexec-tools: compilation failed at nonexisting file asm/page.h
Date: Thu, 16 Oct 2008 11:16:45 +0200
Package: kexec-tools
Version: 20080324-2
Followup-For: Bug #489175



-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: armel (armv5tel)

Kernel: Linux 2.6.23 (PREEMPT)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/bash

Versions of packages kexec-tools depends on:
ii  debconf [debconf-2.0]  1.5.24            Debian configuration management sy
ii  libc6                  2.7-15            GNU C Library: Shared libraries
ii  zlib1g                 1:1.2.3.3.dfsg-12 compression library - runtime

kexec-tools recommends no packages.

kexec-tools suggests no packages.

-- debconf information excluded

For me compilation of kexec-tools failed on file kexec/arch/arm/kexec-zImage-arm.c 
because it includes no longer existing header <asm/page.h>. Changing it to <unistd.h>
as this header now contains getpagesize() which is succestor for PAGE_SIZE macro from 
<asm/page.h> fixes this problem and kexec works fine on armel.





Information forwarded to debian-bugs-dist@lists.debian.org, Khalid Aziz <khalid@debian.org>:
Bug#489175; Package kexec-tools. (Sat, 31 Jan 2009 19:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Loïc Minier <lool@dooz.org>:
Extra info received and forwarded to list. Copy sent to Khalid Aziz <khalid@debian.org>. (Sat, 31 Jan 2009 19:00:05 GMT) Full text and rfc822 format available.

Message #15 received at 489175@bugs.debian.org (full text, mbox):

From: Loïc Minier <lool@dooz.org>
To: 489175@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Debdiff of a porter NMU
Date: Sat, 31 Jan 2009 19:58:28 +0100
[Message part 1 (text/plain, inline)]
tags 489175 + patch
stop

        Hi,

 I'm not a porter myself, but prepared this porter NMU based on the
 proposed changes; works for me on armel.

   Cheers,
-- 
Loïc Minier
[kexec-tools_20080324-2.1.debdiff (text/plain, attachment)]

Tags added: patch Request was from Loïc Minier <lool@dooz.org> to control@bugs.debian.org. (Sat, 31 Jan 2009 19:00:06 GMT) Full text and rfc822 format available.

Blocking bugs of 513728 added: 489175 Request was from Philipp Kern <pkern@debian.org> to control@bugs.debian.org. (Sun, 01 Feb 2009 13:54:07 GMT) Full text and rfc822 format available.

Reply sent to Loic Minier <lool@dooz.org>:
You have taken responsibility. (Fri, 06 Feb 2009 12:24:02 GMT) Full text and rfc822 format available.

Notification sent to Mikhail Gusarov <dottedmag@dottedmag.net>:
Bug acknowledged by developer. (Fri, 06 Feb 2009 12:24:03 GMT) Full text and rfc822 format available.

Message #24 received at 489175-close@bugs.debian.org (full text, mbox):

From: Loic Minier <lool@dooz.org>
To: 489175-close@bugs.debian.org
Subject: Bug#489175: fixed in kexec-tools 20080324-2.1
Date: Fri, 06 Feb 2009 12:17:04 +0000
Source: kexec-tools
Source-Version: 20080324-2.1

We believe that the bug you reported is fixed in the latest version of
kexec-tools, which is due to be installed in the Debian FTP archive:

kexec-tools_20080324-2.1.diff.gz
  to pool/main/k/kexec-tools/kexec-tools_20080324-2.1.diff.gz
kexec-tools_20080324-2.1.dsc
  to pool/main/k/kexec-tools/kexec-tools_20080324-2.1.dsc
kexec-tools_20080324-2.1_i386.deb
  to pool/main/k/kexec-tools/kexec-tools_20080324-2.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 489175@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Loic Minier <lool@dooz.org> (supplier of updated kexec-tools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 31 Jan 2009 18:31:42 +0000
Source: kexec-tools
Binary: kexec-tools
Architecture: source i386
Version: 20080324-2.1
Distribution: unstable
Urgency: low
Maintainer: Khalid Aziz <khalid@debian.org>
Changed-By: Loic Minier <lool@dooz.org>
Description: 
 kexec-tools - kexec tool for kexec reboots
Closes: 489175
Changes: 
 kexec-tools (20080324-2.1) unstable; urgency=low
 .
   * Porter NMU.
   * New dpatch, arm_build, fixes build on armel; thanks Cyril Hrubis;
     closes: #489175.
   * List arm and armel in control.
Checksums-Sha1: 
 6c66d39f8ba48337eeae94b79c62f82049eaa6a5 1113 kexec-tools_20080324-2.1.dsc
 6053bd5a05da52f5bbc5c57ce32a0ca653da23b7 11740 kexec-tools_20080324-2.1.diff.gz
 05ebb3f43f3a11ac62ae189a1ed430014f5705ab 65746 kexec-tools_20080324-2.1_i386.deb
Checksums-Sha256: 
 1761fd317de3169f7c23c2838d59a8f0e123503a78a48d9d640c9d2e5d5fbcca 1113 kexec-tools_20080324-2.1.dsc
 605dac8cca8e0c0e0ee1238b6e137751fa2c8fd0c7e3a7cd50a350d5f9a7bd20 11740 kexec-tools_20080324-2.1.diff.gz
 eb71dbff6627ecd8fa268ea6a533c28336d9c75d24d3329af8a4da9c1328159b 65746 kexec-tools_20080324-2.1_i386.deb
Files: 
 4b9eb0fd72be1edb4cbf13a5335e7984 1113 admin optional kexec-tools_20080324-2.1.dsc
 44519a42c064019b1cf3e36c323d5eaa 11740 admin optional kexec-tools_20080324-2.1.diff.gz
 dce86bc30a49beecfdf90cc5121acc84 65746 admin optional kexec-tools_20080324-2.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkmMKAcACgkQ4VUX8isJIMDfkgCfXHeUJXEKnXFv7yubbD9Ob33B
VQ0An1M0ALlUsnonljJ7ZpbQNMMv72hB
=crTU
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 19 Mar 2009 07:36:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 06:25:00 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.